#!/usr/bin/env kjscmd

function newWeather( station )
{
	var temp = client.call("KWeatherService", "WeatherService", "temperature(TQString)", "KMKE");
	var name = client.call("KWeatherService", "WeatherService", "stationName(TQString)", "KMKE");
	var label = new TQLabel(this);
	label.text = "The temperature at " + name + " is " + temp;
	label.show();
}

var client = new DCOPClient(this);
if ( client.attach() )
{
	var dcop = new DCOPInterface(this, "weather");
	dcop.publish("void newWeather(TQString)");

	client.connectDCOPSignal("KWeatherService", "WeatherService", "fileUpdate(TQString)",
		 "weather","newWeather(TQString)");


	client.send("KWeatherService", "WeatherService", "update(TQString)", "KMKE");

	application.exec();
}
